*[class^="box"] {
  background-color: green; }
  *[class^="box"] .caption {
    width: 25%;
    text-align: center;
    position: absolute;
    margin: auto;
    z-index: 10;
    visibility: hidden; }

.instagram-image:hover, .instagram-video:hover, .instagram-sidecar:hover {
  opacity: 0.5; }
  .instagram-image:hover .caption, .instagram-video:hover .caption, .instagram-sidecar:hover .caption {
    visibility: visible;
    opacity: 1; }
